Bug 869217 - [abrt]: BUG: unable to handle kernel NULL pointer dereference at 0000000000000038
[abrt]: BUG: unable to handle kernel NULL pointer dereference at 000000000000...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
abrt_hash:a96b521abef27e50ff4850ca89a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 06:04 EDT by Patrick Bregman
Modified: 2014-02-05 07:40 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:40:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Bregman 2012-10-23 06:04:27 EDT
Additional info:
libreport version: 2.0.16
abrt_version:   2.0.14
cmdline:        BOOT_IMAGE=/vmlinuz-3.6.0-3.fc18.x86_64 root=UUID=502ceada-dbc4-43dc-92cb-88f9196f1f4e ro rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 rhgb quiet intel_iommu=on SYSFONT=lat0-sun16 SYSFONTACM=iso01 LANG=en_US.UTF-8
kernel:         3.6.0-3.fc18.x86_64

backtrace:
:BUG: unable to handle kernel NULL pointer dereference at 0000000000000038
:IP: [<ffffffffa02a7e9b>] nv50_vm_flush+0x6b/0xa0 [nouveau]
:PGD 415982067 PUD 41594f067 PMD 0 
:Oops: 0000 [#1] SMP 
:Modules linked in: nls_utf8 udf crc_itu_t fuse ip6table_filter ip6_tables ebtable_nat ebtables xt_CHECKSUM iptable_mangle bridge bnep stp llc bluetooth snd_hda_codec_hdmi be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_realtek arc4 iTCO_wdt iTCO_vendor_support ppdev ath9k i2c_dev coretemp ath9k_common ath9k_hw microcode ath mac80211 serio_raw snd_hda_intel vhost_net snd_hda_codec tun macvtap i2c_i801 snd_hwdep macvlan snd_seq snd_seq_device kvm_intel cfg80211 snd_pcm kvm rfkill snd_page_alloc snd_timer lpc_ich snd mfd_core mei soundcore uinput parport_pc parport btrfs libcrc32c zlib_deflate nouveau mxm_wmi ttm i915 crc32c_intel i2c_algo_bit ghash_clmulni_intel drm_kms_helper drm e1000e i2c_core video wmi sunrpc
:CPU 1 
:Pid: 726, comm: libvirtd Not tainted 3.6.0-3.fc18.x86_64 #1                  /DH77DF
:RIP: 0010:[<ffffffffa02a7e9b>]  [<ffffffffa02a7e9b>] nv50_vm_flush+0x6b/0xa0 [nouveau]
:RSP: 0018:ffff880413a7fa68  EFLAGS: 00010202
:RAX: 0000000000000000 RBX: 0000000000000002 RCX: 0000000000000002
:RDX: 0000000000070000 RSI: 0000000000000001 RDI: ffff8804122f1800
:RBP: ffff880413a7fa88 R08: 0000000000000000 R09: ffff8803a6eb89e0
:R10: 0000000000020000 R11: 0000000000000000 R12: ffff880414d53300
:R13: ffff880410f80000 R14: ffff88041146a2c0 R15: ffff880417f7e400
:FS:  00007f26cc8bd700(0000) GS:ffff88042f240000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:CR2: 0000000000000038 CR3: 000000041598c000 CR4: 00000000001407e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process libvirtd (pid: 726, threadinfo ffff880413a7e000, task ffff88041233ae20)
:Stack:
: 0000000000000004 ffff880414d53300 0000000000000004 0000000000000001
: ffff880413a7fae8 ffffffffa023211b ffff880413a7fae8 ffffffffa020d752
: 0000000000080000 ffff8803a6eb89f8 ffff880400000000 ffff88041146a2c0
:Call Trace:
: [<ffffffffa023211b>] nouveau_vm_map_sg+0xcb/0x130 [nouveau]
: [<ffffffffa020d752>] ? nouveau_ttm_tt_populate+0xd2/0x270 [nouveau]
: [<ffffffffa020ce3c>] nouveau_bo_move_ntfy+0xdc/0xe0 [nouveau]
: [<ffffffffa01f0e6e>] ttm_bo_handle_move_mem+0x21e/0x580 [ttm]
: [<ffffffffa01f136d>] ttm_bo_evict+0x19d/0x360 [ttm]
: [<ffffffffa01f16b5>] ttm_mem_evict_first+0x185/0x240 [ttm]
: [<ffffffffa01f17df>] ttm_bo_force_list_clean+0x6f/0xc0 [ttm]
: [<ffffffffa01f18d7>] ttm_bo_clean_mm+0x47/0x90 [ttm]
: [<ffffffffa0205dcf>] nouveau_unload+0xff/0x200 [nouveau]
: [<ffffffffa00c8e95>] drm_put_dev+0x75/0x210 [drm]
: [<ffffffffa02038cd>] nouveau_pci_remove+0x1d/0x20 [nouveau]
: [<ffffffff813088ef>] pci_device_remove+0x3f/0x110
: [<ffffffff813c4a6c>] __device_release_driver+0x7c/0xe0
: [<ffffffff813c4dac>] device_release_driver+0x2c/0x40
: [<ffffffff813c3f21>] driver_unbind+0xa1/0xc0
: [<ffffffff813c2e94>] drv_attr_store+0x24/0x40
: [<ffffffff811ff448>] sysfs_write_file+0xd8/0x150
: [<ffffffff8118f2ec>] vfs_write+0xac/0x180
: [<ffffffff8118f61a>] sys_write+0x4a/0x90
: [<ffffffff81628269>] system_call_fastpath+0x16/0x1b
:Code: 48 83 c3 01 48 83 fb 10 74 2a 48 63 c3 49 8d 44 84 60 8b 40 08 85 c0 74 e7 49 8b 84 dd 00 01 00 00 89 de 48 83 c3 01 49 8b 3c 24 <ff> 50 38 48 83 fb 10 75 d6 48 83 c4 08 5b 41 5c 41 5d 5d c3 90 
:RIP  [<ffffffffa02a7e9b>] nv50_vm_flush+0x6b/0xa0 [nouveau]
: RSP <ffff880413a7fa68>
:CR2: 0000000000000038
Comment 1 Fedora End Of Life 2013-12-21 04:10:33 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 07:40:33 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.